///////////////////////////
//ツールバーのサブクラス化
///////////////////////////
WNDPROC g_TBProc = NULL;

//TOOLBARのメッセージからWM_HSCROLLのみを取得する
LRESULT CALLBACK TOOLBARProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam) {

	int pos;
	switch (uMsg) {
	case WM_HSCROLL:
		if(lParam != (LPARAM)GetDlgItem(hWnd, IDC_SLIDER))
			break;							//スライダーからの通知でなければ何もしない
		switch(LOWORD(wParam)) {			//スライダーコントロールからの通知
		case SB_THUMBTRACK:					//スライダーのドラッグ時は何もしない
			return 0;
		case SB_THUMBPOSITION:				//摘みを離した時に
			pos = HIWORD(wParam);			//スライダーの位置を取得
			break;
		default:							//それ以外の場合、HIWORD(wParam)は使えないので
			pos = g_Slider.GetPosition();	//GetPosition関数で位置を取得する
			break;
		}
		g_dshow.SetCurrentPos((REFTIME)pos);
		return 0;
	default:
		break;
	}
	return CallWindowProc(g_TBProc, hWnd, uMsg, wParam, lParam);
}

//////////////////////////
//プレイリスト再生注フラグ
//////////////////////////
bool g_AutoPlay = FALSE;
